package taberion;

public class TMatrixStorage{
private String[][][] myStorage;
private int[] myContentType;

    public TMatrixStorage()
    {
         myStorage = new String[10][][];
         myContentType = new int[10];
    }
    
    public void storeMatrix(String[][] s, int contentType ,int index)
    {
        myStorage[index]=s;
        myContentType[index]=contentType;
        
        
        ////System.out.println("----------STORE----------");
        for(int i=0; i<s.length; i++){
            for(int j=0; j<s[0].length; j++){
                ////System.out.print(s[i][j] + " ");
            }
            ////System.out.println();
        }
    }
    
    public String[][] restoreMatrix(int index){
        
        ////System.out.println("----------RESTORE----------");
        for(int i=0; i<myStorage[index].length; i++){
            for(int j=0; j<myStorage[index][0].length; j++){
                ////System.out.print(myStorage[index][i][j] + " ");
            }
            ////System.out.println();
        }
        
        return myStorage[index];   
    }
    
    public int restoreContentType(int index){
        return myContentType[index];   
    }
}